Loading...
Searching...
No Matches
LineMarkerMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots

void | getNone ()
void | getCircle ()
void | getRect ()
void | getDiamond ()
void | getTriangle ()
void | getDTriangle ()
void | getLTriangle ()
void | getRTriangle ()
void | getCross ()
void | getXCross ()
void | getHLine ()
void | getVLine ()
void | getStar1 ()
void | getStar2 ()
void | getHexagon ()

## Signals

void | whichTrigger (unsigned int which, QwtSymbol::Style)

## Public Member Functions

| LineMarkerMenu (unsigned int which, QWidget *parent)
| ~LineMarkerMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)

## Constructor & Destructor Documentation

## LineMarkerMenu()

LineMarkerMenu::LineMarkerMenu | ( | unsigned int | which,
|  | QWidget * | parent )

inline

References getCircle(), getCross(), getDiamond(), getDTriangle(), getHexagon(), getHLine(), getLTriangle(), getNone(), getRect(), getRTriangle(), getStar1(), getStar2(), getTriangle(), getVLine(), and getXCross().

## ~LineMarkerMenu()

LineMarkerMenu::~LineMarkerMenu | ( |  | ) |

inline override

## Member Function Documentation

## getAction()

QAction * LineMarkerMenu::getAction | ( | unsigned int | which | ) |

inline

## getCircle

void LineMarkerMenu::getCircle | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getCross

void LineMarkerMenu::getCross | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getDiamond

void LineMarkerMenu::getDiamond | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getDTriangle

void LineMarkerMenu::getDTriangle | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getHexagon

void LineMarkerMenu::getHexagon | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getHLine

void LineMarkerMenu::getHLine | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getLTriangle

void LineMarkerMenu::getLTriangle | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getNone

void LineMarkerMenu::getNone | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getNumActions()

int LineMarkerMenu::getNumActions | ( |  | ) | const

inline

## getRect

void LineMarkerMenu::getRect | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getRTriangle

void LineMarkerMenu::getRTriangle | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getStar1

void LineMarkerMenu::getStar1 | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getStar2

void LineMarkerMenu::getStar2 | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getTriangle

void LineMarkerMenu::getTriangle | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getVLine

void LineMarkerMenu::getVLine | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## getXCross

void LineMarkerMenu::getXCross | ( |  | ) |

inline slot

References whichTrigger().

Referenced by LineMarkerMenu().

## whichTrigger

void LineMarkerMenu::whichTrigger | ( | unsigned int | which,
|  | QwtSymbol::Style | )

signal

Referenced by getCircle(), getCross(), getDiamond(), getDTriangle(), getHexagon(), getHLine(), getLTriangle(), getNone(), getRect(), getRTriangle(), getStar1(), getStar2(), getTriangle(), getVLine(), and getXCross().

The documentation for this class was generated from the following file:

- form_menus.h